fitur_forum/urls.py
from django.conf.urls import url
from .views import index, add_message, dashboard, clear
from .custom_auth import auth_login, auth_logout

urlpatterns = [
	url(r'^$', index, name='index'),
	url(r'^add_message/(?P<id>.*)/$', add_message, name='add_message'),
	url(r'^dashboard/$', dashboard, name='dashboard'),
	
	url(r'^clear/(?P<object_id>[0-9]+)', view=clear, name='clear'),
	# custom auth
	url(r'^custom_auth/login/$', auth_login, name='auth_login'),
	url(r'^custom_auth/logout/$', auth_logout, name='auth_logout'),
]
       
    

fitur_login/urls.py
from django.conf.urls import url
from .views import index

urlpatterns = [
	url(r'^$', index, name='index')
]

project_tugas2/urls.py
from django.conf.urls import url,include
from django.contrib import admin
import fitur_forum.urls as forum
import fitur_login.urls as fitur_login

urlpatterns = [
    url(r'^admin/', admin.site.urls),
    url(r'^forum/', include(forum, namespace='forum')),
    url(r'^fitur-login/', include(fitur_login, namespace='fitur-login')),  
]

fitur_forum/models.py
from django.db import models

# Create your models here.
class Pengguna(models.Model):
    kode_identitas = models.CharField('Kode Identitas', max_length=20, primary_key=True, )
    nama = models.CharField('Nama', max_length=200)
    created_at = models.DateTimeField(auto_now_add=True)
    updated_at = models.DateTimeField(auto_now=True)

class Message(models.Model):
	pengguna = models.ForeignKey(Pengguna)
	title = models.CharField(max_length=140)
	message = models.TextField()
	kode_message = models.CharField("Kode Message", max_length=50)
	created_date = models.DateTimeField(auto_now_add=True)


    

fitur_login/models.py
from django.db import models

# Create your models here.

fitur_profile/models.py
from django.db import models

# Create your models here.

fitur_tanggapan/models.py
from django.db import models

# Create your models here.

fitur_forum/forms.py
from django import forms

class Message_Form(forms.Form):
    error_messages = {
        'required': 'Tolong isi input ini',
        'invalid': 'Isi input dengan email',
    }
    attrs = {
        'class': 'form-control'
    }

    title_attrs = {
        'class': 'form-control',
        'placeholder':'This post is about...'
    }

    message_attrs = {
        'class': 'form-control',
        'placeholder':'Your post is...'
    }

    title = forms.CharField(label='Judul', required=True, max_length=30, widget=forms.TextInput(attrs=title_attrs))
    message = forms.CharField(label='Post', widget=forms.Textarea(attrs=message_attrs), required=True)

fitur_forum/views.py
from django.shortcuts import render, redirect
from django.http import HttpResponseRedirect
from django.urls import reverse
from django.core.paginator import Paginator, EmptyPage, PageNotAnInteger
from .forms import Message_Form
from .models import Message
from .utils import *

# Create your views here.
response = {}
def index(request):
    # print ("#==> masuk index")
    if 'user_login' in request.session:
        return HttpResponseRedirect(reverse('forum:dashboard'))
    else:
        response['author'] = get_data_user(request, 'user_login')
        html = 'fitur_forum/login.html'
        return render(request, html, response)

def dashboard(request):
    
    if not 'user_login' in request.session.keys():
        return HttpResponseRedirect(reverse('forum:index'))
    else:
        kode_identitas = get_data_user(request, 'kode_identitas')
        try:
            pengguna = Pengguna.objects.get(kode_identitas = kode_identitas)
        except Exception as e:
            pengguna = create_new_user(request)

        message = Message.objects.filter(pengguna=pengguna)
        
        response['message'] = message
        response['message_form'] = Message_Form
        response["message_list"] = message
        
        html = 'fitur_forum/fitur_forum.html'
        
        message_list = message
        paginator = Paginator(message_list, 5)
        page = request.GET.get('page', 1)
        try:
            users = paginator.page(page)
        except PageNotAnInteger:
            users = paginator.page(1)
        except EmptyPage:
            users = paginator.page(paginator.num_pages)
       
        response["message_list"] = users
        html = 'fitur_forum/fitur_forum.html'
        return render(request, html, response)

def add_message(request, id):
    response['id'] = id
    form = Message_Form(request.POST or None)

    if (request.method == 'POST' and form.is_valid()):
        kode_identitas = get_data_user(request, 'kode_identitas')
        try:
            pengguna = Pengguna.objects.get(kode_identitas = kode_identitas)
        except Exception as e:
            pengguna = create_new_user(request)  
     
        response['title'] = request.POST['title'] 
        response['message'] = request.POST['message']
        message = Message(pengguna=pengguna,title=response['title'], message=response['message'], kode_message = id)
        message.save()
        response['id'] = id
        html ='fitur_forum/fitur_forum.html'    
        return HttpResponseRedirect('/forum/')

def clear(request,object_id):
    clears = Message.objects.get(pk=object_id)
    clears.delete()
    return HttpResponseRedirect('/forum/')

fitur_login/views.py
from django.shortcuts import render

# Create your views here.
response = dict()
def index(request):
    html = 'fitur_login.html'
    response['author']= 'Benedictus Alvin'
    return render(request, html, response)

fitur_profile/views.py
from django.shortcuts import render

# Create your views here.

fitur_tanggapan/views.py
from django.shortcuts import render

# Create your views here.

fitur_forum/templates/fitur_forum/dashboard.html
{% extends "lab_10/layout/base.html" %}

{% block header %}
<nav class="navbar navbar-default" role="navigation">
  <div class="container-fluid">
    <!-- Brand and toggle get grouped for better mobile display -->
    <div class="navbar-header">
      <button type="button" class="navbar-toggle" data-toggle="collapse" data-target="#bs-example-navbar-collapse-1">
        <span class="sr-only">Toggle navigation</span>
        <span class="icon-bar"></span>
        <span class="icon-bar"></span>
        <span class="icon-bar"></span>
      </button>
      <a class="navbar-brand" href="#">IQBAL</a>
    </div>



  </div><!-- /.container-fluid -->
</nav>  
{% endblock %}

{% block content %}
<!-- Content Here -->
<section id="data-dashboard">
    <div class="panel panel-default">
        <div class="panel-heading">
            <h2> Dashboard </h2>
        </div>
        <div class="panel-body">
            <p> Username : {{ author }} </p>
            <p> NPM : {{kode_identitas}} </p>
            <p> Role : {{ role }} </p>
            <p>
                <a href="{% url 'lab-10:movie_list' %}" class="btn btn-primary"> Daftar Movie </a>
                <a href="{% url 'lab-10:list_watch_later' %}" class="btn btn-warning"> Daftar Watch Later </a>
            </p>
        </div>
    </div>
</section>
<hr>

{% endblock %}

fitur_forum/templates/fitur_forum/fitur_forum.html
{% extends "fitur_forum/layout/base.html" %}
{% load staticfiles %}
{% load static %}

{% block header %}
<nav class="navbar navbar-default" role="navigation">
  <div class="container-fluid">
    <!-- Brand and toggle get grouped for better mobile display -->
    <div class="navbar-header">
      <button type="button" class="navbar-toggle" data-toggle="collapse" data-target="#bs-example-navbar-collapse-1">
        <span class="sr-only">Toggle navigation</span>
        <span class="icon-bar"></span>
        <span class="icon-bar"></span>
        <span class="icon-bar"></span>
      </button>
      <a class="navbar-brand" href="#">IQBAL</a>
    </div>
    
    <div class="collapse navbar-collapse" id="bs-example-navbar-collapse-1">
      <ul class="nav navbar-nav">
        <a href="{% url 'forum:auth_logout' %}" class="btn btn-danger navbar-btn" onclick="return confirm('Keluar?')">Logout </a>  
      </ul>
      
    </div>


  </div><!-- /.container-fluid -->
</nav>  
{% endblock %}


{% block content %}
<div class="jumbotron jumbotron-fluid text-center" style="margin-bottom: 0px; margin-top: 0px; background-color: #F1F7ED">
  <div class="container">
    <img class="rounded-circle" src="{% static 'image/forum.png' %}" alt="Perusahaan" style="width:270px;height:175px;">
    <h1 class="display-3" style="font-family: Impact;">Forum Diskusi Lowongan</h1>
    <h4 class="lead" style="fontfamily: Lucida">find jobs here</h4>
  </div>
</div>

<section name="form">
    <h2>Tambah Forum Lowongan</h2>
    <form id="form" method="POST" action="{% url 'forum:add_message' id %}">
        {% csrf_token %}
        {{ message_form }}
        <br>
        <button type="submit" class="btn btn-primary btn-lg btn-block">Post</button>
    </form>
</section>


<!-- <div class="list-group">
{% if message_list %}
         
        {% for i in message_list reversed %}
        <a class="list-group-item clearfix"> 
            {{i.title}} - {{i.message}} - {{i.created_date}}

        </a>        
        {% endfor %}
  
{% else %}
    <button type="submit" class="btn btn-primary btn-lg btn-block no-friend">You have no discussion.</button>
{% endif %}
</div> -->

{% if message_list %}
{% for data in message_list %}
  <section name="update-status" id="update-status">
      <div class = "status">
          <div class="row">
              <div class="col-sm-12 col-sm-offset-0">
                <div class="media" style="padding: 15px">
                  <div class="media-left">
                    <img class="rounded-circle" src="{% static 'image/company.png' %}" alt="Perusahaan" style="width: 80px;padding-right: 8px">
                  </div>
                  <div class="media-body">
                      <strong>{{data.title}} </strong>
                      <h6>Posted on {{data.created_date}}</h6>
                      <p>{{data.message}}</p>
                      <div class="delete" data-id="{{data.id}}">
                        <a href="{% url 'forum:clear' object_id=data.id %}"><img src="https://png.icons8.com/full-trash/androidL/1600" style="width: 35px;height 35px; top: 10px;"></a>
                      </div>
                     
                  </div>
                </section>
                  
                   
{% endfor %}
{% else %}
    <button type="submit" class="btn btn-primary btn-lg btn-block no-friend">You have no discussion.</button>
{% endif %}

{% if message_list.has_other_pages %}
    <ul class="pagination" style="text-align: center">
        {% if message_list.has_previous %}
            <li><a href="?page={{ message_list.previous_page_number }}">&laquo;</a></li>
        {% else %}
            <li class="disabled"><span>&laquo;</span></li>
        {% endif %}

        {% for i in message_list.paginator.page_range %}
            {% if message_list.number == i %}
                <li class="active"><span>{{ i }} <span class="sr-only">(current)</span></span></li>
            {% else %}
                <li><a href="?page={{ i }}">{{ i }}</a></li>
            {% endif %}
        {% endfor %}
        {% if message_list.has_next %}
              <li><a href="?page={{ message_list.next_page_number }}">&raquo;</a></li>
        {% else %}
              <li class="disabled"><span>&raquo;</span></li>
        {% endif %}
    </ul>
{% endif %}


{% endblock %}

fitur_forum/templates/fitur_forum/lab_7.html
{% extends "lab_7/layout/base.html" %}
{% block content %}
<section name="mahasiswa-list" id="mahasiswa-list">
    <div class="container">
        <div class="row">
            <div class="col-md-8 col-lg-8">
                <h2> Mahasiswa Fasilkom</h2>
                <div class="list-group">
                    {% if mahasiswa_list %}
                        {% for mahasiswa in mahasiswa_list %}
                            <a class="list-group-item clearfix">
                                {{ mahasiswa.nama }} ({{ mahasiswa.npm }})
                                <span class="pull-right">
                        <span class="btn btn-xs btn-default" onClick="addFriend('{{ mahasiswa.nama }}', '{{ mahasiswa.npm }}')">
                            Tambah sebagai teman
                        </span>
                    </span>
                            </a>
                        {% endfor %}
                    {% else %}
                        <div class="alert alert-danger text-center">
                            <strong>Opps!</strong> Tidak ada mahasiswa
                        </div>
                    {% endif %}
                      {% if mahasiswa_list.has_other_pages %}
                        <ul class="pagination">
                            {% if mahasiswa_list.has_previous %}
                                <li><a href="?page={{ mahasiswa_list.previous_page_number }}">&laquo;</a></li>
                            {% else %}
                                <li class="disabled"><span>&laquo;</span></li>
                            {% endif %}

                            {% for i in mahasiswa_list.paginator.page_range %}
                                {% if mahasiswa_list.number == i %}
                                    <li class="active"><span>{{ i }} <span class="sr-only">(current)</span></span></li>
                                {% else %}
                                    <li><a href="?page={{ i }}">{{ i }}</a></li>
                                {% endif %}
                            {% endfor %}
                            {% if mahasiswa_list.has_next %}
                                  <li><a href="?page={{ mahasiswa_list.next_page_number }}">&raquo;</a></li>
                            {% else %}
                                  <li class="disabled"><span>&raquo;</span></li>
                            {% endif %}
                        </ul>
                    {% endif %}

                </div>
                {% if auth %}
                    <div id="token" hidden="true">{{ auth.access_token }}</div>
                    <div id="cid" hidden="true">{{ auth.client_id }}</div>
                {% endif %}
            </div>
            <div class="col-lg-4">
                <h2> Teman Saya </h2>
                <div class="list-group" id="friend-list">
                    {% if friend_list %}
                        {% for friend in friend_list %}
                            <a class="list-group-item clearfix">
                                {{ friend.friend_name }} ({{ friend.npm }})
                            </a>
                        {% endfor %}
                    {% else %}
                        <div class="alert alert-danger text-center">
                            <strong>Opps!</strong> Tidak ada teman
                        </div>
                    {% endif %}
                </div>
                <form id="add-friend" action="#">
                    {% csrf_token %}
                    <label for="field_npm">NPM</label>
                    <input id="field_npm" type="text" name="npm" class="form-control"/>
                    <label for="field_name">Nama</label>
                    <input id="field_name" type="text" name="name" class="form-control"/>
                    <button type="submit">Tambah</button>
                </form>
            </div>
        </div>
    </div>
</section>
{% endblock %}

{% block javascript %}
<script>
    var addFriend = function(nama, npm) {
        $.ajax({
            method: "POST",
            url: "{% url "lab-7:add-friend" %}",
            data: { name: nama, npm: npm},
            success : function (friend) {
                list_friend = $.parseJSON(friend);
                console.log(list_friend.friend_name);
                html = '<a class="list-group-item clearfix">' +
                    list_friend.friend_name + " (" + list_friend.npm + ")"
                    '</a>';
                $("#friend-list").append(html)
            },
            error : function (error) {
                alert("Mahasiswa tersebut sudah ditambahkan sebagai teman")
            }
        });
    };

    $("#add-friend").on("submit", function () {
        var npm = $("#field_npm").val();
        var corsProxy = 'https://cors-anywhere.herokuapp.com/';
        var obj = new Object(); obj.access_token = token; obj.client_id = cid;
        var param = $.param(obj);

        $.ajax({
            method: "GET",
            url: corsProxy+'https://api-dev.cs.ui.ac.id/siakngcs/mahasiswa/'+npm+'/?'+param,
            success: function(data) {
                addFriend(data.nama, data.npm
                )
            },
            error: function(error) {
                console.log(error)
                alert("\n\t\t\tNPM tidak valid:\n\n'Tidak ada mahasiswa dengan NPM tersebut'")
            }
        });
        event.preventDefault();

    });

    $("#field_npm").change(function () {
        console.log( $(this).val() );
        npm = $(this).val();
        $.ajax({
            method: "POST",
            url: '{% url "lab-7:validate-npm" %}',
            data: {
                'npm': npm
            },
            dataType: 'json',
            success: function (data) {
                console.log(data)
                if (data.is_taken) {
                    alert("Mahasiswa dengan npm seperti ini sudah ada");
                }
            }
        });
    });
</script>
{% endblock %}

fitur_forum/templates/fitur_forum/layout/base.html
{% load staticfiles %}
{% load static %}
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="description" content="LAB 10">
    <meta name="author" content="{{author}}">

    <!-- bootstrap csss -->
    <link href="//netdna.bootstrapcdn.com/bootstrap/3.1.1/css/bootstrap.min.css" rel="stylesheet">   
    <link rel="stylesheet" type="text/css" href="{% static 'css/forum.css' %}">


    
    <title>
        {% block title %} Forum Perusahaan {% endblock %}
    </title>
</head>
<body>
<header>
    {% block header %}
    <!-- Your Header Here -->
    {% endblock %}
</header>
<content>

        {% block content %}
        <!-- Your Content Here -->
        {% endblock %}
    </div>
</content>
<footer>
    <hr>
    {% block footer %}

    <h1 style="text-align:center">
        <small><em><i><p style="text-align: center; color: black;">&copy; Muhammad Iqbal Mahendra</p></i> </em></small>
    </h1>
    <!-- Your Footer Here -->
    {% endblock %}
</footer>

<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.2.1/jquery.min.js"></script>
<script type="application/javascript" src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/js/bootstrap.min.js"></script>

<script src="https://code.jquery.com/jquery-1.12.4.js"></script>

</body>
</html>

fitur_forum/templates/fitur_forum/login.html
{% extends "fitur_forum/layout/base.html" %}

{% block header %}
<nav class="navbar navbar-default" role="navigation">
  <div class="container-fluid">
    <!-- Brand and toggle get grouped for better mobile display -->
    <div class="navbar-header">
      <button type="button" class="navbar-toggle" data-toggle="collapse" data-target="#bs-example-navbar-collapse-1">
        <span class="sr-only">Toggle navigation</span>
        <span class="icon-bar"></span>
        <span class="icon-bar"></span>
        <span class="icon-bar"></span>
      </button>
      <a class="navbar-brand" href="#">IQBAL</a>
    </div>
    
    <div class="collapse navbar-collapse" id="bs-example-navbar-collapse-1">
      <ul class="nav navbar-nav">
       
      </ul>
      
    </div>


  </div><!-- /.container-fluid -->
</nav>  
{% endblock %}

{% block content %}
<div class="row">
    <div class="col-md-6 col-md-offset-3">
        <div class="rata-tengah">
            <div class="judul">
                <h1> Halaman Login </h1>
                <p class="text-info"> Gunakan <b> akun SSO </b> untuk login </p>
            </div>
            <form action="{% url 'forum:auth_login' %}" method="POST">
                {% csrf_token %}
                <p>
                    <label for="username"> Your username </label>
                    <input type="text" id="username" name="username" required>
                </p>
                <p>
                    <label for="password"> Your password </label>
                    <input type="password" id="password" name="password" required>
                </p>
                <input type="submit" class="btn btn-primary">
            </form>
        </div>
    </div>
</div>
{% endblock %}

fitur_forum/templates/fitur_forum/partials/header.html
<nav class="navbar navbar-default" role="navigation">
  <div class="container-fluid">
    <!-- Brand and toggle get grouped for better mobile display -->
    <div class="navbar-header">
      <button type="button" class="navbar-toggle" data-toggle="collapse" data-target="#bs-example-navbar-collapse-1">
        <span class="sr-only">Toggle navigation</span>
        <span class="icon-bar"></span>
        <span class="icon-bar"></span>
        <span class="icon-bar"></span>
      </button>
      <a class="navbar-brand" href="#">IQBAL</a>
    </div>

    <!-- Collect the nav links, forms, and other content for toggling -->
    <div class="collapse navbar-collapse" id="bs-example-navbar-collapse-1">
      <ul class="nav navbar-nav">
        <li><a href="{% url 'lab-9:auth_logout' %}" onclick="return confirm('Keluar?')">Logout</a></li>
        <li> <a href="{% url 'lab-9:cookie_login' %}"> Masuk Halaman Cookies </a></li>
      </ul>
      
    </div><!-- /.navbar-collapse -->
  </div><!-- /.container-fluid -->
</nav>

fitur_login/templates/fitur_login.html
{% extends "fitur_login/layout/base.html" %}
{% block content %}
<div id="top_div">
    <div class="container"> 
     top
    </div>    

    
</div>

<div id="bottom_div">
        
    <div class="container"> 
        
        
   
    

    </div> 
</div>
{% endblock %}

fitur_login/templates/fitur_login/layout/base.html
{% load staticfiles %}
{% load static %}
<!DOCTYPE html>
<html  lang="en">
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="description" content="LAB 8">
    <meta name="author" content="{{author}}">
    <!-- bootstrap csss -->
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.2.1/jquery.min.js"></script>
    <link href="https://cdnjs.cloudflare.com/ajax/libs/select2/4.0.4/css/select2.min.css" rel="stylesheet" />
     <script src="https://cdnjs.cloudflare.com/ajax/libs/select2/4.0.4/js/select2.min.js"></script>
    <link href="//netdna.bootstrapcdn.com/bootstrap/3.1.1/css/bootstrap.min.css" rel="stylesheet">
    <link rel="stylesheet" type="text/css" href="{% static 'css/tugas1.css' %}" />
    <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Droid+Sans:400,700">
    <script type="application/javascript" src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/js/bootstrap.min.js"></script>
    <script src="{% static 'js/tugas2_Login.js' %}"></script>
    <link href="https://fonts.googleapis.com/css?family=Lato:700" rel="stylesheet"> 
    
    <script type="text/javascript" src="//platform.linkedin.com/in.js">
        api_key: 81p5ziyap27t6z
        authorize: true
        onLoad: onLinkedInLoad
    </script>
   
   <title>
       {% block title %} Tugas 2{% endblock %}
   </title>
</head>
<body>
   <header>
       {% include "fitur_login/partials/header.html" %}
   </header>
   <content>
           {% block content %}
               <!-- content goes here -->
           {% endblock %}
   </content>
   
   
   {% block javascript %}
   {% endblock %}
</body>

<footer>
       <!-- TODO Block Footer dan include footer.html -->
       {% block footer %}
       {% include "fitur_login/partials/footer.html" %}
       {% endblock %}
   </footer>
</html>

fitur_login/templates/fitur_login/partials/footer.html
<style>
    .footer {
      position: fixed;
      right: 0;
      bottom: 0;
      left: 0;
      padding: 0.2rem;
      background-color: #4b4b4b;
      height: 75px;
      
      
    }

    #button1{
       position: absolute;
       left: 50px;
       top: 18px;
       background-color: #FBDA00 !important;
       -webkit-box-shadow: 0px 3px 0px rgba(0, 0, 0, 0.3);
    -moz-box-shadow:    0px 3px 0px rgba(0, 0, 0, 0.3);
    box-shadow:         0px 3px 0px rgba(0, 0, 0, 0.3);
    font-family: Lato;
    }

    #button2{
       position: absolute;
       left: 300px;
       top: 18px;
       background-color: #006A99 !important;
       color: white;
       -webkit-box-shadow: 0px 3px 0px rgba(0, 0, 0, 0.3);
    -moz-box-shadow:    0px 3px 0px rgba(0, 0, 0, 0.3);
    box-shadow:         0px 3px 0px rgba(0, 0, 0, 0.3);
    font-family: Lato;
    }

    @media only screen and (min-width:320px) and (max-width:480px) { 
        .footer {
            position: fixed;
            right: 0;
            bottom: 0;
            left: 0;
            padding: 0.2rem;
            background-color: #c4c4c4;
            height: 75px;
            
            
         }

        #button1{
            position: absolute;
            left: 10px;
            top: 18px;
            background-color: #FBDA00 !important;
            -webkit-box-shadow: 0px 3px 0px rgba(0, 0, 0, 0.3);
    -moz-box-shadow:    0px 3px 0px rgba(0, 0, 0, 0.3);
    box-shadow:         0px 3px 0px rgba(0, 0, 0, 0.3);
            font-family: Lato;
            
        }
       

        #button2{
            position: absolute;
            left: 163px;
            top: 18px;
            background-color:   #006A99 !important;     
            -webkit-box-shadow: 0px 3px 0px rgba(0, 0, 0, 0.3);
    -moz-box-shadow:    0px 3px 0px rgba(0, 0, 0, 0.3);
    box-shadow:         0px 3px 0px rgba(0, 0, 0, 0.3);
    font-family: Lato;
        }
    }
    
    
    </style>
    
    
    
    
    
    <div class="footer">
        <button id="button1" type="button" class="btn">Login Mahasiswa</button>
        <script type="in/Login"></script>
       

    </div>

fitur_login/templates/fitur_login/partials/header.html
{% load staticfiles %}

<nav class="navbar navbar-inverse" role="navigation">
    <div class="container-fluid">
      <!-- Brand and toggle get grouped for better mobile display -->
      <div class="navbar-header">
        <button type="button" class="navbar-toggle" data-toggle="collapse" data-target="#bs-example-navbar-collapse-1">
          <span class="sr-only">Toggle navigation</span>
          <span class="icon-bar"></span>
          <span class="icon-bar"></span>
          <span class="icon-bar"></span>
        </button>
        <img class="navbar-brand" src="{% static 'home/LOGO2.png' %}" href="#">
        
      </div>
  
      <!-- Collect the nav links, forms, and other content for toggling -->
      <div class="collapse navbar-collapse" id="bs-example-navbar-collapse-1">
        <ul class="nav navbar-nav">
          <li class="active"><a href="#">Link</a></li>
          <li><a href="#">Link</a></li>
          <li class="dropdown">
            <a href="#" class="dropdown-toggle" data-toggle="dropdown">Dropdown <b class="caret"></b></a>
            <ul class="dropdown-menu">
              <li><a href="#">Action</a></li>
              <li><a href="#">Another action</a></li>
              <li><a href="#">Something else here</a></li>
              <li class="divider"></li>
              <li><a href="#">Separated link</a></li>
              <li class="divider"></li>
              <li><a href="#">One more separated link</a></li>
            </ul>
          </li>
        </ul>
        <form class="navbar-form navbar-left" role="search">
          <div class="form-group">
            <input type="text" class="form-control" placeholder="Search">
          </div>
          <button type="submit" class="btn btn-default">Submit</button>
        </form>
        <ul class="nav navbar-nav navbar-right">
          <li><a href="#">Link</a></li>
          <li class="dropdown">
            <a href="#" class="dropdown-toggle" data-toggle="dropdown">Dropdown <b class="caret"></b></a>
            <ul class="dropdown-menu">
              <li><a href="#">Action</a></li>
              <li><a href="#">Another action</a></li>
              <li><a href="#">Something else here</a></li>
              <li class="divider"></li>
              <li><a href="#">Separated link</a></li>
            </ul>
          </li>
        </ul>
      </div><!-- /.navbar-collapse -->
    </div><!-- /.container-fluid -->
  </nav>